Subject: Re: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Mar 2014 20:43:39 +0300

> From: Eric Froemling <[email-masked]>
> Date: Fri, 28 Mar 2014 09:19:41 -0700
> Cc: [email-masked]
> 
> I’ll try to take a look at CPU load next time.

Please do, it might give some clues.

> Here’s a youtube vid (unlisted) of my example in case that’s something
> you can view:
> https://www.youtube.com/watch?v=FSAGh4ER_AE&feature=youtu.be
> I’m definitely seeing delays between characters on individual lines, but also
> even things like drawing the borders around all of the frame’s windows are
> taking multiple frames.  In total, refreshing the whole UI takes about
> 30 seconds whereas it is usually pretty instantaneous.  It looks sort of
> like the slow-motion-redraw you see in X11 on a box that is completely
> swapped out, (though there is definitely no swapping going on in this case)

Looks like something is preempting the Emacs process all the time.